Subject: Re: bug#54800: 28.1; calc: Cursor positioned at weird position in calc stack

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Apr 2022 14:27:35 +0300

> Date: Mon, 11 Apr 2022 12:25:24 +0200
> Cc: [email-masked]
> From: Christoph Arenz <[email-masked]>
> 
> On 09.04.22 15:32, Eli Zaretskii wrote:
> >> Date: Sat, 9 Apr 2022 14:31:06 +0200
> >> Cc: [email-masked]
> >> From: Christoph Arenz <[email-masked]>
> >>
> >>> I think the bug is actually off-by-one error, because the
> >>> vertical-motion call doesn't take the header-line into account.  So I
> >>> suggest the following patch instead, please see if it solves the
> >>> problem:
> >> Your patch solves the problem and shows maximum content of the stack
> >> in the window.
> > Thanks, I installed the fix on the emacs-28 branch.
> >
> I noticed that while the patch fixes the problem in most cases,
> depending on the height of the calc stack window, there can be the case
> that the cursor is not positioned on the top-of-stack symbol `.' but one
> line
> above, at the beginning of the line with the first stack entry.
> 
> This can be changed by using the number 4 instead of 3 in the patch.
> Not sure if this is the best fix.
> 
> (vertical-motion (- 4 (window-height win)))

Can you show a reproducible recipe starting from "emacs -Q", so I
could investigate?

Thanks.